## gnome-shell-extension-no-annoyance 0%2B20220925-c6804a4

=== debian/changelog ===
gnome-shell-extension-no-annoyance (0+20220925-c6804a4-3) unstable; urgency=medium

  * Fix d/watch to work with the git repo.

 -- Andres Salomon <dilinger@debian.org>  Fri, 06 Jan 2023 01:42:22 +0000

gnome-shell-extension-no-annoyance (0+20220925-c6804a4-2) unstable; urgency=medium

  * Source-only upload to ensure migration to bookworm, no changes.

 -- Andres Salomon <dilinger@debian.org>  Thu, 01 Dec 2022 17:15:40 -0500

gnome-shell-extension-no-annoyance (0+20220925-c6804a4-1) unstable; urgency=medium

  * Initial upload of the v2 fork of this extension (closes: #1023584).

 -- Andres Salomon <dilinger@debian.org>  Sun, 20 Nov 2022 02:48:12 -0500

gnome-shell-extension-no-annoyance (0+20210717-12dc667-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * New upstream release (Closes: #993193)
  * Upgrade to debhelper-compat level 13
  * Update to standards version 4.6.1
  * Depend on minimum gnome-shell version of 3.36
  * Declare watch file version of 4
  * Update copyright years
  * Declare Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 10:20:04 +0200

gnome-shell-extension-no-annoyance (0+20170928-f21d09a-2) unstable; urgency=medium

  * Move Vcs to salsa.debian.org
  * Upgrade to debhelper-compat (=12)
  * Update standards version to 4.5.0
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 25 Feb 2020 11:34:44 +0200

gnome-shell-extension-no-annoyance (0+20170928-f21d09a-1) unstable; urgency=medium

  * Initial release (Closes: #879189)

 -- Jonathan Carter <jcc@debian.org>  Fri, 20 Oct 2017 09:29:47 +0200

## gnome-shell-extension-no-annoyance 0+20241212

=== Makefile ===
clean:
	rm -f schemas/gschemas.compiled
	rm -f noannoyance-fork@vrba.dev.shell-extension.zip

schemas:
	glib-compile-schemas schemas/

install: clean schemas
	gnome-extensions pack
	gnome-extensions install noannoyance-fork@vrba.dev.shell-extension.zip --force
	gnome-extensions enable noannoyance-fork@vrba.dev

test_live: install
	dbus-run-session -- gnome-shell --nested --wayland

test_prefs: install
	gnome-extensions prefs noannoyance-fork@vrba.dev

.PHONY: clean install test_live test_prefs schemas

## gnome-shell-extension-no-annoyance 0+20170928-f21d09a

=== debian/control ===
Source: gnome-shell-extension-no-annoyance
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: https://github.com/sindex/no-annoyance
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-no-annoyance.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-no-annoyance

Package: gnome-shell-extension-no-annoyance
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.18)
Description: removes GNOME 'Window is ready' notifications
 Removes the "Window is Ready" notification when opening
 a new application window and automatically gives the new
 window focus.

=== debian/watch ===
# This project has no upstream release yet

## gnome-shell-extension-no-annoyance 0+20210717-12dc667

=== debian/control ===
Source: gnome-shell-extension-no-annoyance
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/sindex/no-annoyance
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-no-annoyance.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-no-annoyance
Rules-Requires-Root: no

Package: gnome-shell-extension-no-annoyance
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.36)
Description: removes GNOME 'Window is ready' notifications
 Removes the "Window is Ready" notification when opening
 a new application window and automatically gives the new
 window focus.

## gnome-shell-extension-no-annoyance 0+20220925-c6804a4

=== debian/control ===
Source: gnome-shell-extension-no-annoyance
Section: gnome
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/bdaase/noannoyance
Vcs-Git: https://salsa.debian.org/dilinger/gnome-shell-extension-no-annoyance.git
Vcs-Browser: https://salsa.debian.org/dilinger/gnome-shell-extension-no-annoyance
Rules-Requires-Root: no

Package: gnome-shell-extension-no-annoyance
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 40)
Description: removes GNOME 'Window is ready' notifications (v2)
 Removes the "Window is Ready" notification when opening
 a new application window and automatically gives the new
 window focus. This is NoAnnoyance v2, a fork of the
 original NoAnnoyance gnome-shell extension.

=== debian/watch ===
version=4
# This project has no upstream release yet

## gnome-shell-extension-no-annoyance 0+20240813-8312e01

=== debian/changelog ===
gnome-shell-extension-no-annoyance (0+20240813-8312e01-2) unstable; urgency=high

  * Add Build-deps: gnome-shell (>=45~)
  * Add patch to declare compatibility with GNOME shell 47
  * debian/control: Set maximum GNOME Shell version to 47

 -- Hank Knox <hank.knox@gmail.com>  Mon, 23 Sep 2024 22:30:48 -0400

gnome-shell-extension-no-annoyance (0+20240813-8312e01-1) unstable; urgency=medium

  * Add myself as an uploader.
  * Ack NMU (thanks Jeremy!).
  * New upstream version that supports GNOME gnome-shell >= 45;
    this changes upstreams from "v2" to "fork" (Closes: #1052105).
  * Updated debian/ files.

 -- Hank Knox <hank.knox@gmail.com>  Thu, 29 Aug 2024 10:46:14 -0300

gnome-shell-extension-no-annoyance (0+20220925-c6804a4-3.1) unstable; urgency=high

  * Non-maintainer upload
  * Add patch to declare compatible with GNOME Shell 44
    (Closes: #1050421, #1041576)
  * debian/control: Set maximum GNOME Shell version to 44

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 15:56:09 -0400

=== debian/control ===
Source: gnome-shell-extension-no-annoyance
Section: gnome
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Uploaders: Hank Knox <hank.knox@gmail.com>
Build-Depends: debhelper-compat (= 13), gnome-shell (>=45~)
Standards-Version: 4.7.0
Homepage: https://github.com/jirkavrba/noannoyance
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/dilinger/gnome-shell-extension-no-annoyance.git
Vcs-Browser: https://salsa.debian.org/dilinger/gnome-shell-extension-no-annoyance

Package: gnome-shell-extension-no-annoyance
Architecture: all
Depends: gnome-shell (<<48~), gnome-shell (>=45~), ${misc:Depends}
Description: removes GNOME 'Window is ready' notifications
 An extension that removes the annoying 'Window is ready'
 notifications, opting to bring 'ready' windows to focus. In contrast
 to all the other extensions, this uses ES6 syntax and is actively
 maintained. This extension is a fork of the original with support for
 GNOME 45, 46 and 47.

## gnome-shell-extension-no-annoyance 0+20241212-8ca0647

=== debian/changelog ===
gnome-shell-extension-no-annoyance (0+20241212-8ca0647-2) unstable; urgency=medium

  * Update for GNOME 49 (Closes: #1115524)
  * Update patch for metadata.json to include shell-version 49.
  * Update Standards-Version: to 4.7.2.
  * Update Build-Depends: to include python3.
  * Update Depends: to automatically set gnome-shell requirements to
    values produced by debian/rules.
  * Override dh_gencontrol to produce min and max versions for
    gnome-shell. (Changes from Jeremy Bicha.)
  * Update debian/watch to Version: 5.

 -- Hank Knox <hank.knox@gmail.com>  Wed, 08 Oct 2025 10:42:38 -0400

gnome-shell-extension-no-annoyance (0+20241212-8ca0647-1) unstable; urgency=medium

  * Update for GNOME 48 (Closes: #1096057)
  * New upstream files.
  * Update Source: in debian/copyright.
  * Fix typo in debian/patches/001_metadata.patch.

 -- Hank Knox <hank.knox@gmail.com>  Mon, 10 Mar 2025 02:50:37 -0400

=== debian/control ===
Source: gnome-shell-extension-no-annoyance
Section: gnome
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Uploaders:
 Hank Knox <hank.knox@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 gnome-shell (>=45~),
 python3,
Standards-Version: 4.7.2
Homepage: https://github.com/jirkavrba/noannoyance
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/dilinger/gnome-shell-extension-no-annoyance.git
Vcs-Browser: https://salsa.debian.org/dilinger/gnome-shell-extension-no-annoyance

Package: gnome-shell-extension-no-annoyance
Architecture: all
Depends:
 gnome-shell (<< ${gnome:MaximumVersion}~),
 gnome-shell (>= ${gnome:MinimumVersion}~),
 ${misc:Depends},
Description: removes GNOME 'Window is ready' notifications
 This extension removes the annoying 'Window is ready' notification,
 opting to bring 'ready' windows to focus. This extension supports
 GNOME 45, 46, 47, 48 and 49.

=== debian/watch ===
Version: 5

Source: https://github.com/jirkavrba/noannoyance
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
Git-Pretty: 0+%cd-%h
